Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha
Interface ClusterValve

All Superinterfaces:
  Valve

All Known Implementing Classes:
  JvmRouteBinderValve, ReplicationValve

    public interface ClusterValve

extends Valve

Cluster valves are a simple extension to the Tomcat valve architecture with a small addition of being able to reference the cluster component in the container it sits in.

Version:
  $Id: ClusterValve.java 939514 2010-04-29 23:55:14Z kkolinko $
Author:
  Filip Hanik, Peter Rossbach

Method Summary
`CatalinaCluster` | `getCluster()` Returns the cluster the cluster deployer is associated with
`void` | `setCluster(CatalinaCluster cluster)` Associates the cluster deployer with a cluster

Methods inherited from interface org.apache.catalina.Valve
`backgroundProcess, event, getInfo, getNext, invoke, setNext`

Method Detail

### getCluster

    CatalinaCluster getCluster()

  Returns the cluster the cluster deployer is associated with

  Returns:
    CatalinaCluster

### setCluster

    void setCluster(CatalinaCluster cluster)

  Associates the cluster deployer with a cluster

  Parameters:
    `cluster` - CatalinaCluster

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.